/**
 * This file was generated by Nexus Schema
 * Do not make changes to this file directly
 */

import * as faces from "../interfaces"





declare global {
  interface NexusGen extends NexusGenTypes {}
}

export interface NexusGenInputs {
}

export interface NexusGenEnums {
}

export interface NexusGenScalars {
  String: string
  Int: number
  Float: number
  Boolean: boolean
  ID: string
}

export interface NexusGenRootTypes {
  Mutation: {};
  Query: {};
  User: faces.UserInterface;
}

export interface NexusGenAllTypes extends NexusGenRootTypes {
  String: NexusGenScalars['String'];
  Int: NexusGenScalars['Int'];
  Float: NexusGenScalars['Float'];
  Boolean: NexusGenScalars['Boolean'];
  ID: NexusGenScalars['ID'];
}

export interface NexusGenFieldTypes {
  Mutation: { // field return type
    changePassword: boolean; // Boolean!
    confirmUserRegistration: boolean; // Boolean!
    resetPassword: boolean; // Boolean!
    signin: NexusGenRootTypes['User']; // User!
    signout: boolean; // Boolean!
    signup: NexusGenRootTypes['User']; // User!
  }
  Query: { // field return type
    currentUser: NexusGenRootTypes['User']; // User!
  }
  User: { // field return type
    _id: string; // String!
    createdAt: number | null; // Int
    creator: string | null; // String
    email: string; // String!
    firstName: string; // String!
    lastName: string; // String!
    password: string | null; // String
    tempPassReq: boolean | null; // Boolean
    updatedAt: number | null; // Int
    verified: boolean | null; // Boolean
  }
}

export interface NexusGenArgTypes {
  Mutation: {
    changePassword: { // args
      email?: string | null; // String
      flag?: string | null; // String
      newPassword?: string | null; // String
      password?: string | null; // String
    }
    confirmUserRegistration: { // args
      email?: string | null; // String
      randString?: string | null; // String
    }
    resetPassword: { // args
      email?: string | null; // String
      language?: string | null; // String
      rcToken?: string | null; // String
    }
    signin: { // args
      email?: string | null; // String
      password?: string | null; // String
      rcToken?: string | null; // String
    }
    signup: { // args
      email?: string | null; // String
      firstName?: string | null; // String
      language?: string | null; // String
      lastName?: string | null; // String
      password?: string | null; // String
      rcToken?: string | null; // String
    }
  }
}

export interface NexusGenAbstractResolveReturnTypes {
}

export interface NexusGenInheritedFields {}

export type NexusGenObjectNames = "Mutation" | "Query" | "User";

export type NexusGenInputNames = never;

export type NexusGenEnumNames = never;

export type NexusGenInterfaceNames = never;

export type NexusGenScalarNames = "Boolean" | "Float" | "ID" | "Int" | "String";

export type NexusGenUnionNames = never;

export interface NexusGenTypes {
  context: {};
  inputTypes: NexusGenInputs;
  rootTypes: NexusGenRootTypes;
  argTypes: NexusGenArgTypes;
  fieldTypes: NexusGenFieldTypes;
  allTypes: NexusGenAllTypes;
  inheritedFields: NexusGenInheritedFields;
  objectNames: NexusGenObjectNames;
  inputNames: NexusGenInputNames;
  enumNames: NexusGenEnumNames;
  interfaceNames: NexusGenInterfaceNames;
  scalarNames: NexusGenScalarNames;
  unionNames: NexusGenUnionNames;
  allInputTypes: NexusGenTypes['inputNames'] | NexusGenTypes['enumNames'] | NexusGenTypes['scalarNames'];
  allOutputTypes: NexusGenTypes['objectNames'] | NexusGenTypes['enumNames'] | NexusGenTypes['unionNames'] | NexusGenTypes['interfaceNames'] | NexusGenTypes['scalarNames'];
  allNamedTypes: NexusGenTypes['allInputTypes'] | NexusGenTypes['allOutputTypes']
  abstractTypes: NexusGenTypes['interfaceNames'] | NexusGenTypes['unionNames'];
  abstractResolveReturn: NexusGenAbstractResolveReturnTypes;
}


declare global {
  interface NexusGenPluginTypeConfig<TypeName extends string> {
  }
  interface NexusGenPluginFieldConfig<TypeName extends string, FieldName extends string> {
  }
  interface NexusGenPluginSchemaConfig {
  }
}